Skip to main content
GET
/
api
/
v1
/
sandbox
List Sandboxes
curl --request GET \
  --url https://api.primeintellect.ai/api/v1/sandbox \
  --header 'Authorization: Bearer <token>'
{
  "sandboxes": [
    {
      "id": "<string>",
      "name": "<string>",
      "dockerImage": "<string>",
      "startCommand": "<string>",
      "cpuCores": 123,
      "memoryGB": 123,
      "diskSizeGB": 123,
      "diskMountPath": "<string>",
      "gpuCount": 123,
      "networkAccess": true,
      "status": "PENDING",
      "timeoutMinutes": 123,
      "environmentVars": {},
      "advancedConfigs": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "startedAt": "2023-11-07T05:31:56Z",
      "terminatedAt": "2023-11-07T05:31:56Z",
      "userId": "<string>",
      "teamId": "<string>",
      "kubernetesJobId": "<string>",
      "gpuType": "CPU_NODE",
      "vm": false,
      "labels": [
        "<string>"
      ],
      "exitCode": 123,
      "errorType": "<string>",
      "errorMessage": "<string>",
      "region": "us",
      "registryCredentialsId": "<string>"
    }
  ],
  "total": 123,
  "page": 123,
  "per_page": 123,
  "has_next": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt

Use this file to discover all available pages before exploring further.

Rate Limit

1000 requests per 60 seconds per IP and token.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

team_id
string | null

Filter by team ID

user_id
string | null

Filter by user ID. When set to another user's ID, the caller must be a team admin of the provided team_id.

status
enum<string> | null

Filter by status

Available options:
PENDING,
PROVISIONING,
RUNNING,
PAUSED,
ERROR,
TERMINATED
is_active
boolean | null

Filter to exclude terminated sandboxes when True

labels
string[] | null

Filter by labels (sandboxes must have ALL specified labels)

page
integer
default:1

Page number

Required range: x >= 1
per_page
integer
default:50

Items per page

Required range: 1 <= x <= 1000

Response

Successful Response

sandboxes
SandboxResponse · object[]
required
total
integer
required
page
integer
required
per_page
integer
required
has_next
boolean
required